Arch Rebar/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(21 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
|Name=Arch Rebar
|Name=Arch Rebar
Line 7: Line 9:
|SeeAlso=[[Arch Structure/ru|Структура]]
|SeeAlso=[[Arch Structure/ru|Структура]]
}}
}}
</div>


<div class="mw-translate-fuzzy">
==Description==
{{GuiCommand/ru
|Name=Arch Rebar
|Name/ru=Arch Rebar
|MenuLocation=Arch → Rebar
|Workbenches=[[Arch Module|Arch]]
|Shortcut=R B
|SeeAlso=[[Arch Structure|Arch Structure]], [[Reinforcement Addon|Reinforcement Addon]]
}}
</div>

==Описание==

<div class="mw-translate-fuzzy">
Инструмент «Арматура» позволяет размещать [http://en.wikipedia.org/wiki/Rebar арматурные полосы] внутри объектов [[Arch Structure]]. Объекты арматуры основаны на 2D-профилях, таких как [[Sketcher Module | sketches]] или [[Draft Module | draft objects]], которые должны быть нарисованы на грани объекта структуры. Затем вы можете настроить конфигурацию арматуры, такую как количество и диаметр стержней, или расстояние смещения между двумя концами структурного элемента.
</div>

The [[Arch_Rebar|Arch Rebar]] tool is also integrated into [[BIM_Workbench|BIM Workbench]].


The Rebar tool allows you to place [http://en.wikipedia.org/wiki/Rebar reinforcing bars] inside [[Arch Structure]] objects. Rebar objects are based on 2D profiles such as [[Sketcher Module|sketches]] or [[Draft Module|draft objects]], that must be drawn on a face of a structure object. You can then adjust the configuration of the rebars, such as the number and diameter of the bars, or the offset distance between the two ends of the structural element.
Rebar objects are based on 2D profiles such as [[Draft Workbench|Draft objects]] and [[Sketcher Workbench|Sketches]], that must be drawn on a face of the structural object. After creation you can adjust the properties of the rebar, including the number and diameter of the bars, and the offset distance between them and the faces of the structural element.


[[Image:Arch Rebar example.jpg|400px]]
[[Image:Arch Rebar example.jpg|400px]]
{{Caption|Structural object with two sketches drawn on its faces, which are then turned into two sets of rebar objects}}


== Extension available ==
The above image shows a structural object, where two sketches are drawn, defining two bar diagrams. These two sketches are then turned into rebar objects.


The Rebar tool is enhanced by the [[Reinforcement Workbench|Reinforcement Workbench]], which is installed by the [[Addon Manager|Addon Manager]]. The additional rebar types available with the addon are:
==How to use==
* [[Image:Arch_Rebar_Straight.svg|32px]] [[Arch_Rebar_Straight|Straight Rebar]]
* [[Image:Arch_Rebar_UShape.svg|32px]] [[Arch_Rebar_UShape|UShape Rebar]]
* [[Image:Arch_Rebar_LShape.svg|32px]] [[Arch_Rebar_LShape|LShape Rebar]]
* [[Image:Arch_Rebar_BentShape.svg|32px]] [[Arch_Rebar_BentShape|Bent Shape Rebar]]
* [[Image:Arch_Rebar_Stirrup.svg|32px]] [[Arch_Rebar_Stirrup|Stirrup Rebar]]
* [[Image:Arch_Rebar_Helical.svg|32px]] [[Arch_Rebar_Helical|Helical Rebar]]


==Usage==
# Create a [[Arch Structure|structure]] element

# Switch to the [[Sketcher Workbench]]
# Switch to the [[Image:Workbench_Arch.svg|16px]] [[Arch Workbench]]
# Select one face of the structural element
# Press the {{KEY|[[Image:Sketcher NewSketch.png|16px]] [[Sketcher NewSketch|New Sketch]]}} button to start a new sketch on the selected face
# Create an {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure|Arch Structure]]}} element.
# Switch to the [[Image:Workbench_Sketcher.svg|16px]] [[Sketcher Workbench|Sketcher Workbench]].
# Draw the diagram of your bar
# Select one face of the structural element.
# Press the {{KEY|[[Image:Sketcher LeaveSketch.png|16px]] [[Sketcher LeaveSketch|Leave Sketch]]}} button to finish
# Press the {{Button|[[Image:Sketcher NewSketch.svg|16px]] [[Sketcher NewSketch|New Sketch]]}} button to start a new sketch on the selected face.
# Switch back to the [[Arch Workbench]]
# Select the sketch you just drew
# Draw the diagram of your bar.
# Press the {{KEY|[[Image:Arch Rebar.png|16px]] [[Arch Rebar]]}} button, or press {{KEY|R}} then {{KEY|B}} keys
# Press the {{Button|[[Image:Sketcher LeaveSketch.svg|16px]] [[Sketcher LeaveSketch|Leave Sketch]]}} button to finish.
# Switch back to the [[Image:Workbench_Arch.svg|16px]] [[Arch Workbench]].
# Adjust the desired properties (your rebar might not appear immediately, if some of the properties create an impossible situation, such as the bar diameter being 0, or the offset distances being bigger than the length of the structural element)
# Select the sketch you just drew.
# Press the {{Button|[[Image:Arch Rebar.svg|16px]] [[Arch Rebar|Arch Rebar]]}} button, or press {{KEY|R}} then {{KEY|B}} keys.
# Adjust the desired properties (your rebar might not appear immediately, if some of the properties create an impossible situation, such as the bar diameter being 0, or the offset distances being bigger than the length of the structural element).

Although normally a rebar is used inside an Arch Structure, since FreeCAD 0.19 the rebar can be created outside of any host object. To host a rebar inside an object, you just need to set its {{PropertyData|Host}}.


==Options==
==Options==
Line 48: Line 80:


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Arch API|Arch API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


The Rebar tool can by used in [[macros]] and from the python console by using the following function:
The Rebar tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
makeRebar (structure,sketch,[diameter],[amount],[offset])
Rebar = makeRebar(baseobj=None, sketch=None, diameter=None, amount=1, offset=None, name="Rebar")
}}
}}


* Adds a Reinforcing Bar object to the given structural object, using the given sketch as profile.
* Creates a {{incode|Rebar}} object from the given {{incode|baseobj}}, which is an [[Arch Structure|Arch Structure]], and a {{incode|sketch}} as profile.
* If no diameter, amount or offset value is given, the default values from the Arch preferences settings are applied.
** {{incode|diameter}}, {{incode|amount}}, and {{incode|offset}} are used to define the characteristics of the bars.
** If no {{incode|diameter}}, {{incode|amount}}, or {{incode|offset}} values are given, the default values from the [[Arch Preferences|Arch Preferences]] are used.
* Returns the new Rebar object.


Example:
Example:

{{Code|code=
{{Code|code=
import FreeCAD, Arch, Sketcher, PArt
import FreeCAD, Arch, Part

struct = Arch.makeStructure(1,1,3)
Structure = Arch.makeStructure(None, length=1000, width=1000, height=3000)
sketch = FreeCAD.ActiveDocument.addObject('Sketcher::SketchObject','Sketch')
Structure.ViewObject.Transparency = 80
sketch.Support = (struct,["Face6"])
FreeCAD.ActiveDocument.recompute()
sketch.addGeometry(Part.Line(App.Vector(-0.4,0.4,0),App.Vector(0.4,0.4,0)))

Arch.makeRebar(structure,sketch)
p1 = FreeCAD.Vector(-400, 400, 0)
p2 = FreeCAD.Vector(400, 400, 0)
Sketch = FreeCAD.ActiveDocument.addObject('Sketcher::SketchObject', 'Sketch')
Sketch.MapMode = "FlatFace"
Sketch.Support = [(Structure, "Face6")]
Sketch.addGeometry(Part.LineSegment(p1, p2))
FreeCAD.ActiveDocument.recompute()

Rebar = Arch.makeRebar(Structure, Sketch, diameter=80, amount=7, offset=50)
Rebar.OffsetStart = 100
Rebar.OffsetEnd = 100
FreeCAD.ActiveDocument.recompute()
}}
}}


<div class="mw-translate-fuzzy">
<languages/>
[[Category:Arch/ru]]
</div>

{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
[[Category:External Command Reference{{#translation:}}]]
[[Category:Reinforcement{{#translation:}}]]

Revision as of 20:00, 23 September 2020

Arch Rebar

Системное название
Arch Rebar
Расположение в меню
Архитектура → Армирование
Верстаки
Arch
Быстрые клавиши
R B
Представлено в версии
-
См. также
Структура

Arch Rebar

Системное название
Arch Rebar
Расположение в меню
Arch → Rebar
Верстаки
Arch
Быстрые клавиши
R B
Представлено в версии
-
См. также
Arch Structure, Reinforcement Addon

Описание

Инструмент «Арматура» позволяет размещать арматурные полосы внутри объектов Arch Structure. Объекты арматуры основаны на 2D-профилях, таких как sketches или draft objects, которые должны быть нарисованы на грани объекта структуры. Затем вы можете настроить конфигурацию арматуры, такую как количество и диаметр стержней, или расстояние смещения между двумя концами структурного элемента.

The Arch Rebar tool is also integrated into BIM Workbench.

Rebar objects are based on 2D profiles such as Draft objects and Sketches, that must be drawn on a face of the structural object. After creation you can adjust the properties of the rebar, including the number and diameter of the bars, and the offset distance between them and the faces of the structural element.

Structural object with two sketches drawn on its faces, which are then turned into two sets of rebar objects

Extension available

The Rebar tool is enhanced by the Reinforcement Workbench, which is installed by the Addon Manager. The additional rebar types available with the addon are:

Usage

  1. Switch to the Arch Workbench
  2. Create an Arch Structure element.
  3. Switch to the Sketcher Workbench.
  4. Select one face of the structural element.
  5. Press the New Sketch button to start a new sketch on the selected face.
  6. Draw the diagram of your bar.
  7. Press the Leave Sketch button to finish.
  8. Switch back to the Arch Workbench.
  9. Select the sketch you just drew.
  10. Press the Arch Rebar button, or press R then B keys.
  11. Adjust the desired properties (your rebar might not appear immediately, if some of the properties create an impossible situation, such as the bar diameter being 0, or the offset distances being bigger than the length of the structural element).

Although normally a rebar is used inside an Arch Structure, since FreeCAD 0.19 the rebar can be created outside of any host object. To host a rebar inside an object, you just need to set its ДанныеHost.

Options

  • Rebars share the common properties and behaviours of all Arch Components
  • The rounding value is expressed in times the diameter. If your bar has a diameter of 5mm, a rounding value of 3 will create rounding at angles with a radius of 15mm.
  • Default values for new rebars can be set in the Arch preferences settings.
  • If a direction vector is not specified, the direction and distance along which the bars will spread is calculated automatically from the host structural object, by taking the normal direction of the base sketch, and taking its intersection with the structural object. If you specify a direction vector, the length of that vector will also be taken into account.
  • The spacing value is calculated from the current amount of bars, and represents the distance between the axes of each bar. You must therefore subtract the bar diameter to obtain the size of the free space between bars.

Properties

  • ДанныеAmount: The amount of bars.
  • ДанныеDiameter: The diameter of the bars.
  • ДанныеDirection: The direction (and length) along which the bars must spread. If the value is (0,0,0), the direction is calculated automatically from the host structural object.
  • ДанныеOffset Start: The offset distance between the border of the structural object and the first bar.
  • ДанныеOffset End: The offset distance between the border of the structural object and the last bar.
  • ДанныеRounding: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
  • ДанныеSpacing: The distance between the axes of each bar.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Rebar tool can be used in macros and from the Python console by using the following function:

Rebar = makeRebar(baseobj=None, sketch=None, diameter=None, amount=1, offset=None, name="Rebar")
  • Creates a Rebar object from the given baseobj, which is an Arch Structure, and a sketch as profile.
    • diameter, amount, and offset are used to define the characteristics of the bars.
    • If no diameter, amount, or offset values are given, the default values from the Arch Preferences are used.

Example:

import FreeCAD, Arch, Part

Structure = Arch.makeStructure(None, length=1000, width=1000, height=3000)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

p1 = FreeCAD.Vector(-400, 400, 0)
p2 = FreeCAD.Vector(400, 400, 0)
Sketch = FreeCAD.ActiveDocument.addObject('Sketcher::SketchObject', 'Sketch')
Sketch.MapMode = "FlatFace"
Sketch.Support = [(Structure, "Face6")]
Sketch.addGeometry(Part.LineSegment(p1, p2))
FreeCAD.ActiveDocument.recompute()

Rebar = Arch.makeRebar(Structure, Sketch, diameter=80, amount=7, offset=50)
Rebar.OffsetStart = 100
Rebar.OffsetEnd = 100
FreeCAD.ActiveDocument.recompute()